---
pageClass: documentation-class
---

# Two.Polygon


<div class="extends">

__Extends__: `Two.Path`

</div>





<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/polygon.js#L10)

</div>



### Constructor


| Argument | Description |
| ---- | ----------- |
|  `x`  | The x position of the polygon. |
|  `y`  | The y position of the polygon. |
|  `radius`  | The radius value of the polygon. |
|  `sides`  | The number of vertices used to construct the polygon. |



---

<div class="static member ">

## Two.Polygon.Properties








<div class="properties">

A list of properties that are on every [Two.Polygon](/documentation/polygon).

</div>








<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/polygon.js#L65)

</div>






</div>



---

<div class="static function ">

## Two.Polygon.MakeObservable










<div class="params">

| Argument | Description |
| ---- | ----------- |
|  `object`  | The object to make observable. |
</div>




<div class="description">

Convenience function to apply observable qualities of a [Two.Polygon](/documentation/polygon) to any object. Handy if you'd like to extend the [Two.Polygon](/documentation/polygon) class on a custom class.

</div>



<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/polygon.js#L71)

</div>






</div>



---

<div class="instance member ">

## Two.Polygon.width








<div class="properties">

The size of the width of the polygon.

</div>








<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/polygon.js#L28)

</div>






</div>



---

<div class="instance member ">

## Two.Polygon.height








<div class="properties">

The size of the height of the polygon.

</div>








<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/polygon.js#L36)

</div>






</div>



---

<div class="instance member ">

## Two.Polygon.sides








<div class="properties">

The amount of sides the polyogn has.

</div>








<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/polygon.js#L44)

</div>






</div>



---

<div class="instance function ">

## Two.Polygon.clone




<div class="returns">

__Returns__:



+ `Two.Polygon`




</div>







<div class="params">

| Argument | Description |
| ---- | ----------- |
|  `parent`  | The parent group or scene to add the clone to. |
</div>




<div class="description">

Create a new instance of [Two.Polygon](/documentation/polygon) with the same properties of the current path.

</div>



<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/polygon.js#L189)

</div>






</div>



---

<div class="instance function ">

## Two.Polygon.toObject




<div class="returns">

__Returns__:



+ `Object`




</div>










<div class="description">

Return a JSON compatible plain object that represents the path.

</div>



<div class="meta">

  [Source Code](https://github.com/jonobr1/two.js/blob/dev/src/shapes/polygon.js#L222)

</div>






</div>


